Package org.eclipse.jdt.ui.actions

## Class MoveAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.jdt.ui.actions.SelectionDispatchAction
        - - org.eclipse.jdt.ui.actions.MoveAction

All Implemented Interfaces:
  `IAction`, `ISelectionChangedListener`

    public class MoveAction
    extends SelectionDispatchAction

This action moves Java elements to a new location. The action prompts the user for the new location.

The action is applicable to a homogeneous selection containing either projects, package fragment roots, package fragments, compilation units, or static methods.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
`MoveAction​(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)` Note: This constructor is for internal use only.
`MoveAction​(IWorkbenchSite site)` Creates a new `MoveAction`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run​(ITextSelection selection)` Executes this actions with the given text selection.
`void` `run​(IStructuredSelection selection)` Executes this actions with the given structured selection.
`void` `selectionChanged​(SelectionChangedEvent event)`
`void` `setSpecialSelectionProvider​(ISelectionProvider provider)` Sets a special selection provider which will be used instead of the site's selection provider.
`void` `update​(ISelection selection)` Updates the action's enablement state according to the given selection.

### Methods inherited from class org.eclipse.jdt.ui.actions.SelectionDispatchAction

`getSelection, getSelectionProvider, getShell, getSite, run, run, run, selectionChanged, selectionChanged, selectionChanged, selectionChanged`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MoveAction

    public MoveAction​(IWorkbenchSite site)

Creates a new `MoveAction`. The action requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `site` - the site providing context information for this action

#### MoveAction

    public MoveAction​(org.eclipse.jdt.internal.ui.javaeditor.JavaEditor editor)

Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `editor` - the java editor
Restriction:
  This constructor is not intended to be referenced by clients.

### Method Detail

#### selectionChanged

    public void selectionChanged​(SelectionChangedEvent event)

Specified by:
  `selectionChanged` in interface `ISelectionChangedListener`
Overrides:
  `selectionChanged` in class `SelectionDispatchAction`

#### setSpecialSelectionProvider

    public void setSpecialSelectionProvider​(ISelectionProvider provider)

Description copied from class: `SelectionDispatchAction`
Sets a special selection provider which will be used instead of the site's selection provider. This method should be used directly after constructing the action and before the action is registered as a selection listener. The invocation will not a perform a selection change notification.

Overrides:
  `setSpecialSelectionProvider` in class `SelectionDispatchAction`
Parameters:
  `provider` - a special selection provider which is used instead of the site's selection provider or `null` to use the site's selection provider. Clients can for example use a `ConvertingSelectionProvider` to first convert a selection before passing it to the action.

#### run

    public void run​(IStructuredSelection selection)

Description copied from class: `SelectionDispatchAction`
Executes this actions with the given structured selection. This default implementation calls `run(ISelection selection)`.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection

#### run

    public void run​(ITextSelection selection)

Description copied from class: `SelectionDispatchAction`
Executes this actions with the given text selection. This default implementation calls `run(ISelection selection)`.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection

#### update

    public void update​(ISelection selection)

Description copied from class: `SelectionDispatchAction`
Updates the action's enablement state according to the given selection. This default implementation calls one of the `selectionChanged` methods depending on the type of the passed selection.

Overrides:
  `update` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection this action is working on